////////////////////////////////////////////////////////////////////////
//  
//  ALT Library File: LockableDoor 010123
//
//  Copyright (c) 2000, 2001 Kevin Forchione. All rights reserved.
//  Based on ADV.T (c) and STD.T (c) Michael Roberts.
//
//  This file is part of the ALT replacement library for ADV.T and 
//  STD.T and requires TADS 2.5.1 or later.
//
////////////////////////////////////////////////////////////////////////

#ifndef _LOCKABLE_DOOR_H_
#define _LOCKABLE_DOOR_H_

#include <floatingdestination.h>
#include <lockabledoorway.h>

#pragma C+

/*
 *  LockableDoor: FloatingDestination, LockableDoorway
 *
 *  This is just a normal LockableDoorway that inherits the
 *  FloatingDestination mix-in (making it a "floating" object.
 *
 *  Fill in the other properties (foundIn and leadsTo) as usual.  If
 *  the Door has a key, set property myKey to the key object.
 */
class LockableDoor: FloatingDestination, LockableDoorway
;

#pragma C-

#endif /* _LOCKABLE_DOOR_H_ */
